[mojosetup] Upgrade problems with MojoSetup

Ryan C. Gordon icculus at icculus.org
Sun Dec 12 17:05:51 EST 2010

> Is the standard solution to force an uninstall of the old version before
> installing the new one? If so shouldn't MojoSetup complain before
> overwriting the old manifest?

It's not something we've hit before (all the MojoSetup installs I know 
of are either single shot, or use the .xml manifest with loki_update).

I think what you're describing (realizing there's an earlier version, 
and uninstalling it before installing the new one) is feasible, and 
probably not that hard. I'll take a look at doing this soon.


More information about the mojosetup mailing list